FAQ

From VariaMos Wiki
Jump to: navigation, search

Basics

How start with VariaMos for first time?

I you want to use the tool for the fist time, we recommend follow the Tool Tutorial

Installation

Where do I download VariaMos?

VariaMos can be downloaded from VariaMos WebSite

Supported Operative Systems

For a complete tool functionality is supported on Win 32/64 bits, OSX, Linux (tested on Ubuntu 14.04) with the SWI prolog properly configured. Follow the Tool Configuration steps after downloading the tool.

Solver Support

SWI prolog 6.6.6 solver is required for VariaMos operations (verification, configuration and simulation). The solver requires the same Java architecture version (32 or 64 bit) in the case of Windows machines.

Currently SWI prolog is the only supported solved. Older versions of the tool works with GNU prolog.

Final user installation

Follow the Tool Configuration steps after downloading the tool from VariaMos WebSite

Troubleshooting

Can I use a model saved with an older version of VariaMos in the newest version of the tool?

VariaMos supports the automatic migration of models from different versions of the tool if the changes are only on attributes defined on the metamodel or semantic model. The tool is able to create or delete the attributes according to the attributes defined in the version you are loading the model.

Currently it is required to save and load again the modified model to avoid errors. In the case the modifications on the application structure modify alter the structure to save models, the models defined with old versions of the tool can not me automatically migrated.

Within the same tool version, we will try to maintain the compatibility of models.